Intel® Edge Software Hub
Get help on building Edge Software Hub solutions for edge compute node
Announcements
Welcome to the Intel Community! If you like the answer to your question, please mark it as 'Accepted Solution' to help others.

The Edge Software Vision Package for Red Hat Enterprise Linux is now available here.

Learn more about developing on Intel® Hardware and Software here.
254 Discussions

Unable to run inference on GPU when using EIIv2.5 on 11th Generation Intel® Core™ Processor

Haizad_Intel
Moderator
252 Views

Encountered clGetPlatformIDs error -1001 when running inference on GPU when using EIIv2.5 on 11th Generation Intel® Core™ Processor.

 

Labels (1)
0 Kudos
1 Solution
Haizad_Intel
Moderator
248 Views

This error is caused by OpenCL in the OpenVINO™ toolkit as mentioned here .

Follow the following steps to fix this error:

1. Make sure your linux kernel version is 5.7 or later. You can check your kernel version using the following command:

     $ uname -r

2. Remove old drivers and install OpenCL runtime library 20.43.18277 by adding the following commands in the video ingestion and video analytics Dockerfile:
    RUN dpkg -r –force-depends intel-opencl && \
             dpkg -r –force-depends intel-ocloc && \
             dpkg -r –force-depends intel-gmmlib && \
             dpkg -r –force-depends intel-igc-core && \
             dpkg -r –force-depends intel-igc-opencl 

 
    RUN mkdir neo && cd neo && \
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-gmmlib_20.2.4_amd64.deb... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-igc-core_1.0.4756_amd64... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-igc-opencl_1.0.4756_amd... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-opencl_20.35.17767_amd6... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-ocloc_20.35.17767_amd64... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-level-zero-gpu_1.0.1776... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/ww35.sum && \ 
             sha256sum -c ww35.sum
             dpkg -i *.deb

 

View solution in original post

1 Reply
Haizad_Intel
Moderator
249 Views

This error is caused by OpenCL in the OpenVINO™ toolkit as mentioned here .

Follow the following steps to fix this error:

1. Make sure your linux kernel version is 5.7 or later. You can check your kernel version using the following command:

     $ uname -r

2. Remove old drivers and install OpenCL runtime library 20.43.18277 by adding the following commands in the video ingestion and video analytics Dockerfile:
    RUN dpkg -r –force-depends intel-opencl && \
             dpkg -r –force-depends intel-ocloc && \
             dpkg -r –force-depends intel-gmmlib && \
             dpkg -r –force-depends intel-igc-core && \
             dpkg -r –force-depends intel-igc-opencl 

 
    RUN mkdir neo && cd neo && \
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-gmmlib_20.2.4_amd64.deb... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-igc-core_1.0.4756_amd64... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-igc-opencl_1.0.4756_amd... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-opencl_20.35.17767_amd6... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-ocloc_20.35.17767_amd64... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/intel-level-zero-gpu_1.0.1776... && \ 
             wget https://github.com/intel/compute-runtime/releases/download/20.35.17767/ww35.sum && \ 
             sha256sum -c ww35.sum
             dpkg -i *.deb

 

Reply